-- This is a try to do right-alignment for text fields.

local font1 = Font.new( "ariblk.txt", "ariblk.png" )

-- metrics for letter 'M'; note the 'xoffset' value
-- "char id=77   x=214   y=40    width=37    height=34    xoffset=4     yoffset=19    xadvance=45    page=0  chnl=0"

-- metrics for letter 'V'; note the 'xoffset' value
-- "char id=86   x=259   y=78    width=37    height=34    xoffset=0     yoffset=19    xadvance=37    page=0  chnl=0"

local text1 = TextField.new( font1, "M" )
local text2 = TextField.new( font1, "M" )
local text3 = TextField.new( font1, "V" )

local width1 = text1:getWidth()
local width2 = text2:getWidth()
local width3 = text3:getWidth()

print( "Width 1/2/3:", width1, width2, width3  )

-- For all text fields, the functions 'getWidth()' return the same value (37 pixel)
-- the letter 'M' gets cut off by 4 pixels, while the letter 'V' aligns perfectly to the right border
-- This corresponds to the difference of 'xoffset' for these letters
text1:setPosition( 320 - width1, 100 )
text2:setPosition( 320 - width2 - 4, 150 )
text3:setPosition( 320 - width3, 200 )

stage:addChild( text1 )
stage:addChild( text2 )
stage:addChild( text3 )
